import { KNativePointer } from "../../src/reexport-for-generated";
import { Es2pandaAstNodeType } from "./../Es2pandaEnums";
import { Expression } from "./Expression";
export declare class OmittedExpression extends Expression {
    constructor(pointer: KNativePointer, astNodeType: Es2pandaAstNodeType);
    static createOmittedExpression(): OmittedExpression;
    static updateOmittedExpression(original?: OmittedExpression): OmittedExpression;
    protected readonly brandOmittedExpression: undefined;
}
export declare function isOmittedExpression(node: object | undefined): node is OmittedExpression;
